summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2006-04-30 16:08:10 +0000
committerUlrich Drepper <drepper@redhat.com>2006-04-30 16:08:10 +0000
commit34e212784c87edcc9c06058db9685db313c3126a (patch)
tree1e136f071978ebb9a95182a849fdca7edcd75b52
parent5493f3ddc38e5cc961b03655de17f654eb5d8533 (diff)
* elf/ldd.bash.in: If --verify loop fails to find a dynamic linker
for the file don't just try the first one listed in RTLDLIST again. We already have the status.
-rw-r--r--ChangeLog4
-rw-r--r--elf/ldd.bash.in7
2 files changed, 5 insertions, 6 deletions
diff --git a/ChangeLog b/ChangeLog
index b701bae888..502b3fadf4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,9 @@
2006-04-30 Ulrich Drepper <drepper@redhat.com>
+ * elf/ldd.bash.in: If --verify loop fails to find a dynamic linker
+ for the file don't just try the first one listed in RTLDLIST
+ again. We already have the status.
+
* nis/nss_nisplus/nisplus-publickey.c (parse_grp_str): PIDLIST is
supposed to have NGRPS elements.
diff --git a/elf/ldd.bash.in b/elf/ldd.bash.in
index a22ad15b59..d1591a5785 100644
--- a/elf/ldd.bash.in
+++ b/elf/ldd.bash.in
@@ -154,6 +154,7 @@ for file do
test -x "$file" || echo 'ldd:' $"\
warning: you do not have execution permission for" "\`$file'" >&2
RTLD=
+ ret=1
for rtld in ${RTLDLIST}; do
if test -x $rtld; then
verify_out=`${rtld} --verify "$file"`
@@ -163,12 +164,6 @@ warning: you do not have execution permission for" "\`$file'" >&2
esac
fi
done
- if test -z "${RTLD}"; then
- set ${RTLDLIST}
- RTLD=$1
- verify_out=`${RTLD} --verify "$file"`
- ret=$?
- fi
case $ret in
0)
# If the program exits with exit code 5, it means the process has been